
;Reading at top level in Editor Typeout Window 1.
;Reading in base 10 in package USER with standard Zetalisp readtable.

(setq *verbose* nil)
NIL
(run-tests)

+++Test parsing (LAMBDA DIE) with SIMPLE

---Result is:
((? (LAMBDA DIE)) )

+++Test parsing (THE LAMBDA) with NOUN-P

---Result is:
((FULL-NP ((SIMPLE-NP ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL))) (NOUN LAMBDA))))))

+++Test parsing (EAT SLOW) with VERB-MOD-P

---Result is:
((VERB EAT) ((VERB-MOD) ((VERB-MOD ((ADVERB SLOW))))))

+++Test parsing (CRASH LAMBDA SLOW) with VERB-P

---Result is:
((VERB-MOD-P
  ((VERB CRASH) ((VERB-MOD) ((VERB-MOD ((VERB-OBJ ((SIMPLE-NP ((NOUN LAMBDA))) ((ADVERB) ((ADVERB ((ADVERB SLOW))))))))))))))

+++Test parsing (MY YELLOW DOG EAT LAMBDA) with STATEMENT

---Result is:
((?
  ((FULL-NP ((SIMPLE-NP ((NP-MOD ((POSSN MY))) (ADJECTS ((NIL (YELLOW)))) (NOUN DOG)))))
   (VERB-MOD-P ((VERB EAT) ((VERB-MOD) ((VERB-MOD ((VERB-OBJ ((? ((SIMPLE-NP ((NOUN LAMBDA))))))))))))))))

+++Test parsing (WILL DOG DIE ?) with SENTENCE

---Result is:
((QUESTION ((AUX-VERB WILL) (SIMPLE-NP ((NOUN DOG))) (? ((VERB DIE))) ((PUNCT) ((PUNCT ((PUNCT ?))))))))
;Back to top level in Editor Typeout Window 1.
(setq *verbose* t)
T
(run-tests)

+++Test parsing (LAMBDA DIE) with SIMPLE

---Result is:
Consume-Rule (LAMBDA DIE) by SIMPLE
Consume-Terms (LAMBDA DIE) by (NOUN VERB)
Consume-Word LAMBDA by NOUN
Parse ok LAMBDA = NOUN.
Consume-Terms (DIE) by (VERB)
Consume-Word DIE by VERB
Parse ok DIE = VERB.
Consume-Terms NIL by NIL
((? (LAMBDA DIE)) )

+++Test parsing (THE LAMBDA) with NOUN-P

---Result is:
Consume-Rule (THE LAMBDA) by NOUN-P
Consume-either (THE LAMBDA) by any of (SIMPLE-NP FULL-NP)
Consume-either (THE LAMBDA) by any of (NOUN PNOUN)
Consume-either (THE LAMBDA) by any of (PNOUN)
Consume-either (THE LAMBDA) by any of NIL
Consume-either (THE LAMBDA) by any of (FULL-NP)
Consume-Seq (THE LAMBDA) by ((:OPTIONAL NP-MOD) (:OPTIONAL ADJECTS) SIMPLE-NP) already got NIL from (THE LAMBDA)
Consume-Seq (THE LAMBDA) by (NP-MOD) already got NIL from (THE LAMBDA)
Consume-Rule (THE LAMBDA) by NP-MOD
Consume-either (THE LAMBDA) by any of (DET POSSN)
Consume-Seq (LAMBDA) by ((:OPTIONAL ADJECTS) SIMPLE-NP) already got ((NP-MOD ((DET THE)))) from (THE LAMBDA)
Consume-Seq (LAMBDA) by (ADJECTS) already got NIL from (LAMBDA)
Consume-Rule (LAMBDA) by ADJECTS
Consume-any (LAMBDA) by any of (ADJECT)
Consume-Seq (LAMBDA) by (SIMPLE-NP) already got ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL)))) from (THE LAMBDA)
Consume-Rule (LAMBDA) by SIMPLE-NP
Consume-either (LAMBDA) by any of (NOUN PNOUN)
((FULL-NP ((SIMPLE-NP ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL))) (NOUN LAMBDA))))))

+++Test parsing (EAT SLOW) with VERB-MOD-P

---Result is:
Consume-Rule (EAT SLOW) by VERB-MOD-P
Consume-Seq (EAT SLOW) by (VERB (:OPTIONAL VERB-MOD)) already got NIL from (EAT SLOW)
Consume-Word EAT by VERB
Parse ok EAT = VERB.
Consume-Seq (SLOW) by ((:OPTIONAL VERB-MOD)) already got ((VERB EAT)) from (EAT SLOW)
Consume-Seq (SLOW) by (VERB-MOD) already got NIL from (SLOW)
Consume-Rule (SLOW) by VERB-MOD
Consume-either (SLOW) by any of (ADVERB VERB-OBJ)
((VERB EAT) ((VERB-MOD) ((VERB-MOD ((ADVERB SLOW))))))

+++Test parsing (CRASH LAMBDA SLOW) with VERB-P

---Result is:
Consume-Rule (CRASH LAMBDA SLOW) by VERB-P
Consume-either (CRASH LAMBDA SLOW) by any of (VERB-MOD-P VERB-AUX)
Consume-Seq (CRASH LAMBDA SLOW) by (VERB (:OPTIONAL VERB-MOD)) already got NIL from (CRASH LAMBDA SLOW)
Consume-Word CRASH by VERB
Parse ok CRASH = VERB.
Consume-Seq (LAMBDA SLOW) by ((:OPTIONAL VERB-MOD)) already got ((VERB CRASH)) from (CRASH LAMBDA SLOW)
Consume-Seq (LAMBDA SLOW) by (VERB-MOD) already got NIL from (LAMBDA SLOW)
Consume-Rule (LAMBDA SLOW) by VERB-MOD
Consume-either (LAMBDA SLOW) by any of (ADVERB VERB-OBJ)
Consume-either (LAMBDA SLOW) by any of (VERB-OBJ)
Consume-Seq (LAMBDA SLOW) by (NOUN-P (:OPTIONAL ADVERB)) already got NIL from (LAMBDA SLOW)
Consume-Rule (LAMBDA SLOW) by NOUN-P
Consume-either (LAMBDA SLOW) by any of (SIMPLE-NP FULL-NP)
Consume-either (LAMBDA SLOW) by any of (NOUN PNOUN)
Consume-Seq (SLOW) by ((:OPTIONAL ADVERB)) already got ((SIMPLE-NP ((NOUN LAMBDA)))) from (LAMBDA SLOW)
Consume-Seq (SLOW) by (ADVERB) already got NIL from (SLOW)
Consume-Word SLOW by ADVERB
Parse ok SLOW = ADVERB.
((VERB-MOD-P
  ((VERB CRASH) ((VERB-MOD) ((VERB-MOD ((VERB-OBJ ((SIMPLE-NP ((NOUN LAMBDA))) ((ADVERB) ((ADVERB ((ADVERB SLOW))))))))))))))

+++Test parsing (MY YELLOW DOG EAT LAMBDA) with STATEMENT

---Result is:
Consume-Rule (MY YELLOW DOG EAT LAMBDA) by STATEMENT
Consume-Seq (MY YELLOW DOG EAT LAMBDA) by (NOUN-P VERB-P (:OPTIONAL PUNCT)) already got NIL from (MY YELLOW DOG EAT LAMBDA)
Consume-Rule (MY YELLOW DOG EAT LAMBDA) by NOUN-P
Consume-either (MY YELLOW DOG EAT LAMBDA) by any of (SIMPLE-NP FULL-NP)
Consume-either (MY YELLOW DOG EAT LAMBDA) by any of (NOUN PNOUN)
Consume-either (MY YELLOW DOG EAT LAMBDA) by any of (PNOUN)
Consume-either (MY YELLOW DOG EAT LAMBDA) by any of NIL
Consume-either (MY YELLOW DOG EAT LAMBDA) by any of (FULL-NP)
Consume-Seq (MY YELLOW DOG EAT LAMBDA) by ((:OPTIONAL NP-MOD) (:OPTIONAL ADJECTS) SIMPLE-NP) already got NIL from (MY YELLOW DOG EAT LAMBDA)
Consume-Seq (MY YELLOW DOG EAT LAMBDA) by (NP-MOD) already got NIL from (MY YELLOW DOG EAT LAMBDA)
Consume-Rule (MY YELLOW DOG EAT LAMBDA) by NP-MOD
Consume-either (MY YELLOW DOG EAT LAMBDA) by any of (DET POSSN)
Consume-either (MY YELLOW DOG EAT LAMBDA) by any of (POSSN)
Consume-Seq (YELLOW DOG EAT LAMBDA) by ((:OPTIONAL ADJECTS) SIMPLE-NP) already got ((NP-MOD ((POSSN MY)))) from (MY YELLOW DOG EAT LAMBDA)
Consume-Seq (YELLOW DOG EAT LAMBDA) by (ADJECTS) already got NIL from (YELLOW DOG EAT LAMBDA)
Consume-Rule (YELLOW DOG EAT LAMBDA) by ADJECTS
Consume-any (YELLOW DOG EAT LAMBDA) by any of (ADJECT)
Consume-any (DOG EAT LAMBDA) by any of (#<CLOSURE (:INTERNAL SIMPLE-LOOKUP-CLOSURE 0) (Lexical environment) 71421340>)
Consume-Seq (DOG EAT LAMBDA) by (SIMPLE-NP) already got ((NP-MOD ((POSSN MY))) (ADJECTS ((NIL (YELLOW))))) from (MY YELLOW DOG EAT LAMBDA)
Consume-Rule (DOG EAT LAMBDA) by SIMPLE-NP
Consume-either (DOG EAT LAMBDA) by any of (NOUN PNOUN)
Consume-Seq (EAT LAMBDA) by (VERB-P (:OPTIONAL PUNCT)) already got ((FULL-NP ((SIMPLE-NP ((NP-MOD ((POSSN MY))) (ADJECTS ((NIL (YELLOW)))) (NOUN DOG)))))) from (MY YELLOW DOG EAT LAMBDA)
Consume-Rule (EAT LAMBDA) by VERB-P
Consume-either (EAT LAMBDA) by any of (VERB-MOD-P VERB-AUX)
Consume-Seq (EAT LAMBDA) by (VERB (:OPTIONAL VERB-MOD)) already got NIL from (EAT LAMBDA)
Consume-Word EAT by VERB
Parse ok EAT = VERB.
Consume-Seq (LAMBDA) by ((:OPTIONAL VERB-MOD)) already got ((VERB EAT)) from (EAT LAMBDA)
Consume-Seq (LAMBDA) by (VERB-MOD) already got NIL from (LAMBDA)
Consume-Rule (LAMBDA) by VERB-MOD
Consume-either (LAMBDA) by any of (ADVERB VERB-OBJ)
Consume-either (LAMBDA) by any of (VERB-OBJ)
Consume-Seq (LAMBDA) by (NOUN-P (:OPTIONAL ADVERB)) already got NIL from (LAMBDA)
Consume-Rule (LAMBDA) by NOUN-P
Consume-either (LAMBDA) by any of (SIMPLE-NP FULL-NP)
Consume-either (LAMBDA) by any of (NOUN PNOUN)
Consume-Seq NIL by ((:OPTIONAL ADVERB)) already got ((SIMPLE-NP ((NOUN LAMBDA)))) from (LAMBDA)
Consume-Seq NIL by (ADVERB) already got NIL from NIL
Consume-Seq NIL by NIL already got ((SIMPLE-NP ((NOUN LAMBDA)))) from (LAMBDA)
Consume-Seq NIL by ((:OPTIONAL PUNCT)) already got ((FULL-NP ((SIMPLE-NP ((NP-MOD ((POSSN MY))) (ADJECTS ((NIL (YELLOW)))) (NOUN DOG))))) (VERB-MOD-P ((VERB EAT) ((VERB-MOD) ((VERB-MOD ((VERB-OBJ ((? ((SIMPLE-NP ((NOUN LAMBDA)))))))))))))) from (MY YELLOW DOG EAT LAMBDA)
Consume-Seq NIL by (PUNCT) already got NIL from NIL
Consume-Seq NIL by NIL already got ((FULL-NP ((SIMPLE-NP ((NP-MOD ((POSSN MY))) (ADJECTS ((NIL (YELLOW)))) (NOUN DOG))))) (VERB-MOD-P ((VERB EAT) ((VERB-MOD) ((VERB-MOD ((VERB-OBJ ((? ((SIMPLE-NP ((NOUN LAMBDA)))))))))))))) from (MY YELLOW DOG EAT LAMBDA)
((?
  ((FULL-NP ((SIMPLE-NP ((NP-MOD ((POSSN MY))) (ADJECTS ((NIL (YELLOW)))) (NOUN DOG)))))
   (VERB-MOD-P ((VERB EAT) ((VERB-MOD) ((VERB-MOD ((VERB-OBJ ((? ((SIMPLE-NP ((NOUN LAMBDA))))))))))))))))

+++Test parsing (WILL DOG DIE ?) with SENTENCE

---Result is:
Consume-Rule (WILL DOG DIE ?) by SENTENCE
Consume-either (WILL DOG DIE ?) by any of (QUESTION STATEMENT)
Consume-Seq (WILL DOG DIE ?) by (AUX-VERB NOUN-P VERB-MOD-P (:OPTIONAL PUNCT)) already got NIL from (WILL DOG DIE ?)
Consume-Word WILL by AUX-VERB
Parse ok WILL = AUX-VERB.
Consume-Seq (DOG DIE ?) by (NOUN-P VERB-MOD-P (:OPTIONAL PUNCT)) already got ((AUX-VERB WILL)) from (WILL DOG DIE ?)
Consume-Rule (DOG DIE ?) by NOUN-P
Consume-either (DOG DIE ?) by any of (SIMPLE-NP FULL-NP)
Consume-either (DOG DIE ?) by any of (NOUN PNOUN)
Consume-Seq (DIE ?) by (VERB-MOD-P (:OPTIONAL PUNCT)) already got ((AUX-VERB WILL) (SIMPLE-NP ((NOUN DOG)))) from (WILL DOG DIE ?)
Consume-Rule (DIE ?) by VERB-MOD-P
Consume-Seq (DIE ?) by (VERB (:OPTIONAL VERB-MOD)) already got NIL from (DIE ?)
Consume-Word DIE by VERB
Parse ok DIE = VERB.
Consume-Seq (?) by ((:OPTIONAL VERB-MOD)) already got ((VERB DIE)) from (DIE ?)
Consume-Seq (?) by (VERB-MOD) already got NIL from (?)
Consume-Rule (?) by VERB-MOD
Consume-either (?) by any of (ADVERB VERB-OBJ)
Consume-either (?) by any of (VERB-OBJ)
Consume-Seq (?) by (NOUN-P (:OPTIONAL ADVERB)) already got NIL from (?)
Consume-Rule (?) by NOUN-P
Consume-either (?) by any of (SIMPLE-NP FULL-NP)
Consume-either (?) by any of (NOUN PNOUN)
Consume-either (?) by any of (PNOUN)
Consume-either (?) by any of NIL
Consume-either (?) by any of (FULL-NP)
Consume-Seq (?) by ((:OPTIONAL NP-MOD) (:OPTIONAL ADJECTS) SIMPLE-NP) already got NIL from (?)
Consume-Seq (?) by (NP-MOD) already got NIL from (?)
Consume-Rule (?) by NP-MOD
Consume-either (?) by any of (DET POSSN)
Consume-either (?) by any of (POSSN)
Consume-either (?) by any of NIL
Consume-Seq (?) by ((:OPTIONAL ADJECTS) SIMPLE-NP) already got NIL from (?)
Consume-Seq (?) by (ADJECTS) already got NIL from (?)
Consume-Rule (?) by ADJECTS
Consume-any (?) by any of (ADJECT)
Consume-Seq (?) by (SIMPLE-NP) already got ((ADJECTS (((ADJECT) NIL)))) from (?)
Consume-Rule (?) by SIMPLE-NP
Consume-either (?) by any of (NOUN PNOUN)
Consume-either (?) by any of (PNOUN)
Consume-either (?) by any of NIL
Consume-either (?) by any of NIL
Consume-either (?) by any of NIL
Consume-Seq (?) by NIL already got ((VERB DIE)) from (DIE ?)
Consume-Seq (?) by ((:OPTIONAL PUNCT)) already got ((AUX-VERB WILL) (SIMPLE-NP ((NOUN DOG))) (? ((VERB DIE)))) from (WILL DOG DIE ?)
Consume-Seq (?) by (PUNCT) already got NIL from (?)
Consume-Word ? by PUNCT
Parse ok ? = PUNCT.
((QUESTION ((AUX-VERB WILL) (SIMPLE-NP ((NOUN DOG))) (? ((VERB DIE))) ((PUNCT) ((PUNCT ((PUNCT ?))))))))

+++Test parsing (THE LAMBDA WILL NOT CRASH) with SENTENCE

---Result is:
Consume-Rule (THE LAMBDA WILL NOT CRASH) by SENTENCE
Consume-either (THE LAMBDA WILL NOT CRASH) by any of (QUESTION STATEMENT)
Consume-Seq (THE LAMBDA WILL NOT CRASH) by (AUX-VERB NOUN-P VERB-MOD-P (:OPTIONAL PUNCT)) already got NIL from (THE LAMBDA WILL NOT CRASH)
Consume-Word THE by AUX-VERB
Parse failed found THE expected AUX-VERB.
Consume-either (THE LAMBDA WILL NOT CRASH) by any of (STATEMENT)
Consume-Seq (THE LAMBDA WILL NOT CRASH) by (NOUN-P VERB-P (:OPTIONAL PUNCT)) already got NIL from (THE LAMBDA WILL NOT CRASH)
Consume-Rule (THE LAMBDA WILL NOT CRASH) by NOUN-P
Consume-either (THE LAMBDA WILL NOT CRASH) by any of (SIMPLE-NP FULL-NP)
Consume-either (THE LAMBDA WILL NOT CRASH) by any of (NOUN PNOUN)
Consume-either (THE LAMBDA WILL NOT CRASH) by any of (PNOUN)
Consume-either (THE LAMBDA WILL NOT CRASH) by any of NIL
Consume-either (THE LAMBDA WILL NOT CRASH) by any of (FULL-NP)
Consume-Seq (THE LAMBDA WILL NOT CRASH) by ((:OPTIONAL NP-MOD) (:OPTIONAL ADJECTS) SIMPLE-NP) already got NIL from (THE LAMBDA WILL NOT CRASH)
Consume-Seq (THE LAMBDA WILL NOT CRASH) by (NP-MOD) already got NIL from (THE LAMBDA WILL NOT CRASH)
Consume-Rule (THE LAMBDA WILL NOT CRASH) by NP-MOD
Consume-either (THE LAMBDA WILL NOT CRASH) by any of (DET POSSN)
Consume-Seq (LAMBDA WILL NOT CRASH) by ((:OPTIONAL ADJECTS) SIMPLE-NP) already got ((NP-MOD ((DET THE)))) from (THE LAMBDA WILL NOT CRASH)
Consume-Seq (LAMBDA WILL NOT CRASH) by (ADJECTS) already got NIL from (LAMBDA WILL NOT CRASH)
Consume-Rule (LAMBDA WILL NOT CRASH) by ADJECTS
Consume-any (LAMBDA WILL NOT CRASH) by any of (ADJECT)
Consume-Seq (LAMBDA WILL NOT CRASH) by (SIMPLE-NP) already got ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL)))) from (THE LAMBDA WILL NOT CRASH)
Consume-Rule (LAMBDA WILL NOT CRASH) by SIMPLE-NP
Consume-either (LAMBDA WILL NOT CRASH) by any of (NOUN PNOUN)
Consume-Seq (WILL NOT CRASH) by (VERB-P (:OPTIONAL PUNCT)) already got ((FULL-NP ((SIMPLE-NP ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL))) (NOUN LAMBDA)))))) from (THE LAMBDA WILL NOT CRASH)
Consume-Rule (WILL NOT CRASH) by VERB-P
Consume-either (WILL NOT CRASH) by any of (VERB-MOD-P VERB-AUX)
Consume-Seq (WILL NOT CRASH) by (VERB (:OPTIONAL VERB-MOD)) already got NIL from (WILL NOT CRASH)
Consume-Word WILL by VERB
Parse failed found WILL expected VERB.
Consume-either (WILL NOT CRASH) by any of (VERB-AUX)
Consume-Seq (WILL NOT CRASH) by (AUX-VERB (:OPTIONAL EMPHASIS) VERB) already got NIL from (WILL NOT CRASH)
Consume-Word WILL by AUX-VERB
Parse ok WILL = AUX-VERB.
Consume-Seq (NOT CRASH) by ((:OPTIONAL EMPHASIS) VERB) already got ((AUX-VERB WILL)) from (WILL NOT CRASH)
Consume-Seq (NOT CRASH) by (EMPHASIS) already got NIL from (NOT CRASH)
Consume-Rule (NOT CRASH) by EMPHASIS
Consume-either (NOT CRASH) by any of (NEGATIVE POSITIVE)
Consume-Seq (CRASH) by (VERB) already got ((AUX-VERB WILL) (EMPHASIS ((NEGATIVE NOT)))) from (WILL NOT CRASH)
Consume-Word CRASH by VERB
Parse ok CRASH = VERB.
Consume-Seq NIL by ((:OPTIONAL PUNCT)) already got ((FULL-NP ((SIMPLE-NP ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL))) (NOUN LAMBDA))))) (VERB-AUX ((VERB ((AUX-VERB WILL) (EMPHASIS ((NEGATIVE NOT))) (VERB CRASH)))))) from (THE LAMBDA WILL NOT CRASH)
Consume-Seq NIL by (PUNCT) already got NIL from NIL
Consume-Seq NIL by NIL already got ((FULL-NP ((SIMPLE-NP ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL))) (NOUN LAMBDA))))) (VERB-AUX ((VERB ((AUX-VERB WILL) (EMPHASIS ((NEGATIVE NOT))) (VERB CRASH)))))) from (THE LAMBDA WILL NOT CRASH)
((STATEMENT
  ((?
    ((FULL-NP ((SIMPLE-NP ((NP-MOD ((DET THE))) (ADJECTS (((ADJECT) NIL))) (NOUN LAMBDA)))))
     (VERB-AUX ((VERB ((AUX-VERB WILL) (EMPHASIS ((NEGATIVE NOT))) (VERB CRASH))))))))))
NIL
(dribble-all)